com.singularsys.jep.standard

## Class StandardOperatorTable

- java.lang.Object
- - com.singularsys.jep.OperatorTable
  - - com.singularsys.jep.standard.StandardOperatorTable

- All Implemented Interfaces:
    JepComponent, OperatorTableI, java.io.Serializable

      public class StandardOperatorTable
      extends OperatorTable

  The old standard operator table used by Jep. Now replaced by `StandardOperatorTable2`
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.OperatorTable

      `baseNumOps, numOps, OP_ADD, OP_AND, OP_ASSIGN, OP_CROSS, OP_DIVIDE, OP_DOT, OP_ELEMENT, OP_EQ, OP_GE, OP_GT, OP_LE, OP_LIST, OP_LT, OP_MOD, OP_MULTIPLY, OP_NE, OP_NEGATE, OP_NOP, OP_NOT, OP_OR, OP_POWER, OP_RANGE, OP_RECIP, OP_SUBTRACT, OP_UPLUS, ops`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardOperatorTable()` Create the standard set of operators.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(Jep jep)` Initialize the component.

    - ### Methods inherited from class com.singularsys.jep.OperatorTable

      `addOperator, addOperator, addOperator, addOperator, appendOperator, appendOperator, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, insertOperator, removeOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setNumOps, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardOperatorTable

          public StandardOperatorTable()

      Create the standard set of operators.

  - ### Method Detail

    - #### init

          public void init(Jep jep)

      Description copied from interface: `JepComponent`
      Initialize the component. This methods is called whenever a component is added to Jep. Hence it allows components to keep track of the other components they may rely on.
      Specified by:
        `init` in interface `JepComponent`
      Overrides:
        `init` in class `OperatorTable`
      Parameters:
        `jep` - the current Jep instance

Copyright © 2018 Singular Systems http://www.singularsys.com/jep